MAILGRAPH(8)

NAME
mailgraph - daemon which produces graphs of SMTP traffic

SYNOPSIS
mailgraph [ options ]

DESCRIPTION
mailgraph is a daemon which produces mail statistics RRDtool for Postfix and Sendmail. This stats are stored for generating daily, weekly, monthly and yearly graphs of sent/received/rejected and bounced/viruses/spam mails.

OPTIONS

-h, --help
    Display help and exit.

-v, --verbose
    Be verbose about what you do.

-V, --version
    Output version information and exit.

-c, --cat
    Cause the logfile to be only read and not monitored.

-l, --logfile file
     Monitor logfile file instead of /var/log/syslog.

-t, --logtype type
    Set logfile's type (default: syslog).

-y, --year
    Start year of the log file (default: current year).

--host=HOST
    Use only entries for HOST (regexp) in syslog.

-d, --daemon
    Start in the background

--daemon-pid=FILE
    Write PID to FILE instead of /var/run/mailgraph.pid.

--daemon-rrd=DIR
    Write RRDs to DIR instead of /var/lib/mailgraph/.

--daemon-log=FILE
    Write verbose-log to FILE instead of /var/log/mailgraph.log.

--ignore-localhost
    Ignore mail to/from localhost (used for virus scanner).

--ignore-host=HOST
    Ignore mail to/from HOST (used for virus scanner).

--no-mail-rrd
    Do not update the mail rrd.

--no-virus-rrd
    Do not update the virus rrd.

--no-greylist-rrd
    Do not update the greylist rrd.

--rrd-name=NAME
    Use NAME.rrd, NAME_virus.rrd and NAME_greylist.rrd for the rrd files.

--rbl-is-spam
    Count rbl rejects as spam.

--virbl-is-virus
    Count virbl rejects as viruses.

SEE ALSO
rrdtool(1), RRDs(3pm)

AUTHOR
David Schweikert <dws@ee.ethz.ch>